Imagick::paintTransparentImage
Imagick::pingImageBlob
The Imagick class
PHP Manual

# Imagick::pingImage

(No version information available, might be only in CVS)

Imagick::pingImage — Fetch basic attributes about the image

### Description

bool Imagick::pingImage ( string `$filename` )
Warning

This function is currently not documented; only its argument list is available.

This method can be used to query image width, height, size, and format without reading the whole image in to memory.

### Parameters

`filename`

  The filename to read the information from.

### Return Values

Returns `TRUE` on success.

Imagick::paintTransparentImage
Imagick::pingImageBlob
The Imagick class
PHP Manual